Actions

Difference between revisions of "How do I upgrade from Joomla! 1.5 to 3.x?"

From Joomla! Documentation

m (added Category:Migration using HotCat)
m (added Category:Upgrading using HotCat)
(One intermediate revision by one user not shown)
Line 11: Line 11:
 
[[Category:Version 3.1 FAQ]]
 
[[Category:Version 3.1 FAQ]]
 
[[Category:Migration]]
 
[[Category:Migration]]
 +
[[Category:Upgrading and Migrating FAQ]]
 +
[[Category:Upgrading]]
 
</noinclude>
 
</noinclude>

Revision as of 20:31, 1 September 2013

Support for Joomla 1.5 has officially ended. Does that mean your 1.5 site will stop working? No, your site will continue to work as it always has. However, Joomla’s developers will not be releasing new versions for Joomla 1.5, so you won’t be getting bug fixes or security fixes. For this reason, it’s recommended to migrate from 1.5.

Moving from 2.5 to any Joomla 3 version is relatively simple, since Joomla has made the process easy for newer versions. Unfortunately, moving from 1.5 is not a trivial task. Fortunately, there are two good extensions that make the process easier: jUpgrade and SP Upgrade.

You have a choice of going straight to Joomla 3.0 or going to 2.5 first. Both SP Upgrade and jUpgrade have versions ready for both versions. Please consult with their documentation on how to migrate from Joomla 1.5 to 3.0/2.5.

Migrate to Joomla 3.0 if all the extensions that you plan to use are Joomla 3.0 compatible. Only some template providers or the extension vendors will be ready for Joomla 3.0 at launch, however most will not be ready until days, weeks or months after. (See the “How do I find Joomla 3.0 compatible extensions?” FAQ for more information)

Migrate to Joomla 2.5 if you want the most stable that Joomla has to offer and/or if you plan on using many extensions.